Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1111994 - Same connection is sent multiple times on ConnectStorageServer
Summary: Same connection is sent multiple times on ConnectStorageServer
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Liron Aravot
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard: storage
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-06-22 14:59 UTC by Liron Aravot
Modified: 2016-02-10 17:03 UTC (History)
9 users (show)

Fixed In Version: ovirt-engine-3.5.0_beta
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 29035 master MERGED core: avoid connect to the same target multiple times Never

Description Liron Aravot 2014-06-22 14:59:54 UTC
Description of problem:
When an ISCSI storage domain is created using multiple luns of the same target (=same connection), when attempting to activate the domain the same connection is sent multiple times instead of one time.


How reproducible:
Always

Steps to Reproduce:
1. Create an ISCSI storage domain made of multiple luns from the same target
2. activate the domain


Actual results:
Same connection is sent multiple times on connectStorageServer

Expected results:
The connection should be sent only once.


Additional info:

Comment 1 Kevin Alon Goldblatt 2014-09-02 14:07:06 UTC
I created a new storage domain on the VNX on 3 luns on 1 target. Each connection was sent once only. Moving to Verified

Comment 2 Allon Mureinik 2015-02-16 19:12:55 UTC
RHEV-M 3.5.0 has been released, closing this bug.

Comment 3 Allon Mureinik 2015-02-16 19:12:56 UTC
RHEV-M 3.5.0 has been released, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.